Référentiels véhicule

Lister les genres

Utiliser genderCode comme vehicle[].gender

GET
/provider/vehicles/genders

Authorization

bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER, DATA_ENTRY_AGENT
AuthorizationBearer <token>

Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.

In: header

Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER, DATA_ENTRY_AGENT

Query Parameters

page?integer

Numéro de page (commence à 0).

Default0
size?integer

Taille de page.

Default10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/vehicles/genders"
[
  {
    "id": "string",
    "genderCode": "string",
    "genderLabel": "string",
    "description": "string",
    "isActive": true,
    "displayOrder": 0,
    "createdDate": "2022-03-10T12:15:50",
    "lastModifiedDate": "2022-03-10T12:15:50",
    "createdByUserId": "string",
    "updatedByUserId": "string",
    "createdBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    },
    "updatedBy": {
      "id": "string",
      "username": "string",
      "phoneNumber": "string",
      "name": "string",
      "firstName": "string",
      "lastName": "string",
      "status": "string",
      "broker": {
        "id": "string",
        "brokerCode": "string",
        "brokerNumber": "string",
        "legalName": "string",
        "tradeName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "type": "BROKER",
        "company": {
          "id": "string",
          "companyCode": "string",
          "companyNumber": "string",
          "companyLabel": "string",
          "legalName": "string",
          "approvalNumber": "string",
          "eatciOfficeCode": "string",
          "address": "string",
          "phone": "string",
          "email": "string",
          "website": "string",
          "logoUrl": "string",
          "isActive": true,
          "createdDate": "2022-03-10T12:15:50",
          "lastModifiedDate": "2022-03-10T12:15:50",
          "createdByUserId": "string",
          "updatedByUserId": "string",
          "createdBy": {},
          "updatedBy": {}
        },
        "mainOffice": {},
        "isMainOffice": true,
        "defaultCommissionRate": 0,
        "isActive": true,
        "createdAt": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "company": {
        "id": "string",
        "companyCode": "string",
        "companyNumber": "string",
        "companyLabel": "string",
        "legalName": "string",
        "approvalNumber": "string",
        "eatciOfficeCode": "string",
        "address": "string",
        "phone": "string",
        "email": "string",
        "website": "string",
        "logoUrl": "string",
        "isActive": true,
        "createdDate": "2022-03-10T12:15:50",
        "lastModifiedDate": "2022-03-10T12:15:50",
        "createdByUserId": "string",
        "updatedByUserId": "string",
        "createdBy": {},
        "updatedBy": {}
      },
      "country": "string",
      "email": "string",
      "eatciUsername": "string",
      "enabled": true,
      "emailVerified": true,
      "roles": [
        {
          "id": "string",
          "name": "string",
          "label": "string",
          "description": "string",
          "clientRole": true,
          "clientId": "string",
          "containerId": "string",
          "composite": true
        }
      ],
      "createdDate": "2022-03-10T12:15:50",
      "lastModifiedDate": "2022-03-10T12:15:50",
      "createdByUserId": "string",
      "updatedByUserId": "string",
      "createdBy": {},
      "updatedBy": {}
    }
  }
]
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}
{
  "status": 404,
  "title": "Élément introuvable",
  "detail": "Contract not found",
  "exception": "CONTRACT_NOT_FOUND",
  "instance": "/api/v1/provider/contracts/abc",
  "details": {
    "property1": "string",
    "property2": "string"
  }
}